Bug 173768 - I would like a "repoid" option to yumdownloader
I would like a "repoid" option to yumdownloader
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-20 15:46 EST by Göran Uddeborg
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: yum-3.0.1-2.fc6
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 11:50:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Göran Uddeborg 2005-11-20 15:46:14 EST
Description of problem:
Sometimes one of the less redundant repos in my configuration is not available.
 Right now macromedia.mplug.org seems to be down for example, and that .repo
file doesn't have any backup.

To not have to edit .repo files at such times I use --repoid as an option to
repoquery.  (I most often know what repository to look in.)  But when I want to
use yumdownloader, I don't have any such option available.  Would that be hard
to add?

An alternative would be an --disablerepo flag like plain "yum" has.

Version-Release number of selected component (if applicable):
yum-utils-0.3.1-1.fc4
Comment 1 Christian Iseli 2007-01-17 18:22:47 EST
FC3 and FC4 have now been EOL'd.

Please check the ticket against a current Fedora release, and either adjust the
release number, or close it if appropriate.

Thanks.

Your friendly BZ janitor :-)
Comment 2 Göran Uddeborg 2007-01-22 11:50:00 EST
I see an "enablerepo" option now, which seems to do what I want in the FC6
version.  The flag naming is slightly confusing here.  For "yum", "enablerepo"
means to enable a this repo IN ADDITION to the ones enabled by default.  For
"yumdownloader" it means enable ONLY this repo.  "Repoquery" has an option with
the same effect as the one in "yumdownloader", but there it is called "repoid".

Oh, well, the functionality is there it seems.  I'll get used to the quirks I guess.

Note You need to log in before you can comment on or make changes to this bug.